Bug 49075 - EDITING: mouse selection is cleared on mouse click (Mouse button 2 pasting)
Summary: EDITING: mouse selection is cleared on mouse click (Mouse button 2 pasting)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Mouse-Cursor
  Show dependency treegraph
 
Reported: 2012-04-23 04:32 UTC by qqqqqqqqq9
Modified: 2020-10-01 04:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description qqqqqqqqq9 2012-04-23 04:32:12 UTC
Problem description: 
The mouse selection is cleared on mouse click into the libreoffice window
Steps to reproduce:
1. Select some text

a) 
2. middle mouse button paste in to the libreoffice window
Result: The selected text is inserted at mouse position

b) 
2. click into the libreoffice window
3. middle mouse button paste in to the libreoffice window
Result: Nothing happens

c) 
2. click into the libreoffice window
3. middle mouse button paste to some other application
Result: Nothing happens

d) 
2. middle mouse button paste into some other window
Result: The selected text is inserted at mouse position

Current behavior:

Expected behavior:

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (X11; Linux i686) AppleWebKit/534.34 (KHTML, like Gecko) konqueror/4.8.2 Safari/534.34
Comment 1 Nino 2012-04-25 09:06:10 UTC
confirming with 3.5.3.1 Linux/x86.
Comment 2 QA Administrators 2015-01-05 17:52:06 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-01-28 13:00:57 UTC
Reproduced.

Ubuntu 14.10 64-bit 
Version: 4.3.3.2
Build ID: 430m0(Build:2)
Comment 4 QA Administrators 2016-11-08 11:58:02 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2020-10-01 04:00:42 UTC
Dear qqqqqqqqq9,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug